/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/{austrianDonationSubmissionId}Get donation submission
Gets a specific donation submission with all of its details
Required permissions:
mandate.read
austrianDonationSubmission.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired austrianDonationSubmissionIdstringrequired Authentication: X-API-Key
Request
curl --request GET 'https://cloud.campai.com/api/{organizationId}/{mandateId}/donation/austrianDonationSubmissions/{austrianDonationSubmissionId}' \
--header 'X-API-Key: YOUR_API_KEY'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
ObjectId as string
messageRefIDstringrequired minLength: 1
maxLength: 36
exportDatedate-timerequired reportingYearnumberrequired submissionTypestringrequired Options:
EASAdditional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
Additional properties are not allowed.
statusstringrequired Options:
errordonator_creatingdonator_availabledonator_returnedProcessingdonator_returnedErrordonator_returnedPartialSuccessdonator_returnedSuccessdonations_creatingdonations_availabledonations_returnedProcessingdonations_returnedErrordonations_returnedPartialSuccessdonations_returnedSuccessstatusMessagestring | nullrequired ignoreDebtorsMissingBirthDatebooleanrequired ignoreSubmitedDebtorsbooleanrequired Response
{
"_id": "000000000000000000000001",
"mandate": "000000000000000000000001",
"messageRefID": "string",
"exportDate": "2026-06-15T22:30:00Z",
"reportingYear": 1,
"submissionType": "E",
"exportFile": {
"resource": "string"
},
"returnFile": {
"resource": "string"
},
"vbPkExportFile": {
"resource": "string"
},
"vbPkReturnFile": {
"resource": "string"
},
"status": "error",
"statusMessage": "string",
"submittedDonations": [
{
"debtorName": "string",
"debtorAccount": 1,
"amount": 1,
"donations": [
{
"donation": "000000000000000000000001",
"positions": [
{
"value": 1,
"date": "string"
}
]
}
],
"errorCode": "string",
"errorText": "string"
}
],
"ignoreDebtorsMissingBirthDate": true,
"ignoreSubmitedDebtors": true
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}404Not found
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}